# $Revision: 1.15 $, $Date: 2002/11/22 08:12:06 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de):	Client fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Client pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Name:		tftp-hpa
Version:	0.32
Release:	2
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.kernel.org/pub/software/network/tftp/%{name}-%{version}.tar.gz
Source1:	tftpd-hpa.inetd
BuildRequires:	readline-devel
Provides:	tftpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	tftp

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains tftp client.

%description -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -l pl
Tftp (trivial file transfer protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikacj
tftp klienta.

%description -l tr
lkel dosya aktarm protokolu genelde disksiz i istasyonlarnn a
zerinden almalarnda kullanlr. Gvenlik denetimleri ok az
olduundan zorunlu kalmadka altrlmamaldr.

%package -n tftpd-hpa
Summary:	Daemon for the trivial file transfer protocol (tftp)
Summary(de):	Dmon fr das 'trivial file transfer protocol (tftp)'
Summary(fr):	Dmon pour le  trivial file transfer protocol  (tftp)
Summary(pl):	Serwer tftp (trivial file transfer protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Group:		Networking/Daemons
PreReq:		rc-inetd >= 0.8.1
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires:	inetdaemon
Provides:	tftpdaemon
Obsoletes:	tftp-server
Obsoletes:	utftpd
Obsoletes:	tftpd

%description -n tftpd-hpa
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n tftpd-hpa -l de
Das trivial file transfer protocol (tftp) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n tftpd-hpa -l fr
Le  trivial file transfer protocol  (tftp) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -n tftpd-hpa -l pl
TFTP (Trivial File Transfer Protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Serwer tftp powinien by
instalowany tylko wtedy, kiedy zachodzi taka konieczno poniewa
naley on do aplikacji o niskim poziomie bezpieczestwa.

%prep
%setup -q

%build
CFLAGS="%{rpmcflags}"; export CFLAGS

./configure \
	--with-c-compiler=gcc
%{__make} \
	CC="%{__cc}" \
	TFTPD_LIBS="-liberty"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_sbindir},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},/var/lib/tftp}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.tftpd $RPM_BUILD_ROOT%{_sbindir}/tftpd
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/in.tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/tftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tftpd-hpa
if [ -n "`id -u tftp 2>/dev/null`" ]; then
	if [ "`id -u tftp`" != "15" ]; then
		echo "Error: user tftp doesn't have uid=15. Correct this before installing tftpd." 1>&2
		exit 1
	fi
else
	echo "Adding user tftp UID=15."
	/usr/sbin/useradd -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g tftp tftp 1>&2
fi

%post -n tftpd-hpa
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server." 1>&2
fi

%postun -n tftpd-hpa
if [ "$1" = "0" -a -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi
if [ "$1" = "0" ]; then
        echo "Removing user tftp."
	/usr/sbin/userdel tftp
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n tftpd-hpa
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/rc-inetd/tftpd
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tftp-hpa.spec,v $
Revision 1.15  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.14  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.13  2002/11/21 10:39:57  blues
- release 2 - tftp dir is now owned by ftp group

Revision 1.12  2002/11/13 12:46:01  kloczek
- readline-devel added to Obsoletes,
- -lnsl removed from TFTPD_LIBS (linking with libnsl isn't neccessary).

Revision 1.11  2002/11/13 12:32:36  kloczek
- cosmetics.

Revision 1.10  2002/11/13 09:00:51  jasio
- 0.32, works fine
- STBR

Revision 1.9  2002/11/12 13:27:54  jasio
- Removed group tftp (works without it);
- Permissions tftp,root on /var/lib/tftp;
- STBR (rpm works OK for me now)

Revision 1.8  2002/11/07 11:00:51  jasio
Added in pre and post section group tftp, changed perms on /var/lib/tftp
STBR

Revision 1.7  2002/10/25 09:32:01  areq
- 0.31, STBR

Revision 1.6  2002/10/20 20:22:07  qboosh
- Revision and Date

Revision 1.5  2002/10/17 12:51:48  jasio
Fixed error in setup section

Revision 1.4  2002/10/17 12:49:18  jasio
Fixed typo prep section

Revision 1.3  2002/10/17 12:44:14  jasio
Change name in source1

Revision 1.2  2002/10/17 12:41:38  jasio
Typos.

Revision 1.1  2002/10/17 11:18:44  jasio
Initial release.
